/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package eventtalkboard;

/**
 *
 * @author hansolo
 */
public class Event
{
    private final String TIME;
    private final String TALK;
    private final String SPEAKER;
    private final String LOCATION;
    private boolean active;
    private long timeStamp;

    public Event(String time, String talk, String speaker, String location)
    {
        this.TIME = time;
        this.TALK = talk;
        this.SPEAKER = speaker;
        this.LOCATION = location;

        this.timeStamp = (Integer.parseInt(time.substring(0, 2)) * 3600000) + (Integer.parseInt(time.substring(3, 5)) * 60000);       
    }

    public String getTime()
    {
        return this.TIME;
    }

    public String getTalk()
    {
        return this.TALK;
    }

    public String getSpeaker()
    {
        return this.SPEAKER;
    }

    public String getLocation()
    {
        return this.LOCATION;
    }

    public boolean isActive()
    {
        return this.active;
    }

    public void setActive(boolean active)
    {
        this.active = active;
    }

    public long getTimeStamp()
    {
        return this.timeStamp;
    }
}
