/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * TalkPanel.java
 *
 * Created on 26.01.2010, 08:57:19
 */
package eventtalkboard;

/**
 *
 * @author hansolo
 */
public class SpeakerPanel extends javax.swing.JComponent
{
    final int MAX = 15;
    private String text = "          ";
    private GlobalTimedFlipChar[] flipCharArray = new GlobalTimedFlipChar[MAX];

    /** Creates new form TalkPanel */
    public SpeakerPanel()
    {
        setOpaque(true);
        initComponents();
        init();
    }

    private void init()
    {
        flipCharArray[0] = globalTimedFlipChar1;
        flipCharArray[1] = globalTimedFlipChar2;
        flipCharArray[2] = globalTimedFlipChar3;
        flipCharArray[3] = globalTimedFlipChar4;
        flipCharArray[4] = globalTimedFlipChar5;
        flipCharArray[5] = globalTimedFlipChar6;
        flipCharArray[6] = globalTimedFlipChar7;
        flipCharArray[7] = globalTimedFlipChar8;
        flipCharArray[8] = globalTimedFlipChar9;
        flipCharArray[9] = globalTimedFlipChar10;
        flipCharArray[10] = globalTimedFlipChar11;
        flipCharArray[11] = globalTimedFlipChar12;
        flipCharArray[12] = globalTimedFlipChar13;
        flipCharArray[13] = globalTimedFlipChar14;
        flipCharArray[14] = globalTimedFlipChar15;        
    }

    public String getText()
    {
        return this.text;
    }

    public void setText(String text)
    {
        this.text = text;
        flipIt();
    }

    public void clearPanel()
    {
        setText("          ");
    }

    private void flipIt()
    {     
        for (int i = 0; i < MAX ; i++)
        {
            if (i >= text.length())
            {
                flipCharArray[i].setCharacter(" ");
            }
            else
            {
                flipCharArray[i].setCharacter(this.text.toUpperCase().substring(i, i + 1));
            }
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        globalTimedFlipChar1 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar2 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar3 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar4 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar5 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar6 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar7 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar8 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar9 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar10 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar11 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar12 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar13 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar14 = new eventtalkboard.GlobalTimedFlipChar();
        globalTimedFlipChar15 = new eventtalkboard.GlobalTimedFlipChar();

        globalTimedFlipChar1.setName("globalTimedFlipChar1"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar1Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar1);
        globalTimedFlipChar1.setLayout(globalTimedFlipChar1Layout);
        globalTimedFlipChar1Layout.setHorizontalGroup(
            globalTimedFlipChar1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar1Layout.setVerticalGroup(
            globalTimedFlipChar1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar2.setName("globalTimedFlipChar2"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar2Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar2);
        globalTimedFlipChar2.setLayout(globalTimedFlipChar2Layout);
        globalTimedFlipChar2Layout.setHorizontalGroup(
            globalTimedFlipChar2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar2Layout.setVerticalGroup(
            globalTimedFlipChar2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar3.setName("globalTimedFlipChar3"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar3Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar3);
        globalTimedFlipChar3.setLayout(globalTimedFlipChar3Layout);
        globalTimedFlipChar3Layout.setHorizontalGroup(
            globalTimedFlipChar3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar3Layout.setVerticalGroup(
            globalTimedFlipChar3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar4.setName("globalTimedFlipChar4"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar4Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar4);
        globalTimedFlipChar4.setLayout(globalTimedFlipChar4Layout);
        globalTimedFlipChar4Layout.setHorizontalGroup(
            globalTimedFlipChar4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar4Layout.setVerticalGroup(
            globalTimedFlipChar4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar5.setName("globalTimedFlipChar5"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar5Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar5);
        globalTimedFlipChar5.setLayout(globalTimedFlipChar5Layout);
        globalTimedFlipChar5Layout.setHorizontalGroup(
            globalTimedFlipChar5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar5Layout.setVerticalGroup(
            globalTimedFlipChar5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar6.setName("globalTimedFlipChar6"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar6Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar6);
        globalTimedFlipChar6.setLayout(globalTimedFlipChar6Layout);
        globalTimedFlipChar6Layout.setHorizontalGroup(
            globalTimedFlipChar6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar6Layout.setVerticalGroup(
            globalTimedFlipChar6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar7.setName("globalTimedFlipChar7"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar7Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar7);
        globalTimedFlipChar7.setLayout(globalTimedFlipChar7Layout);
        globalTimedFlipChar7Layout.setHorizontalGroup(
            globalTimedFlipChar7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar7Layout.setVerticalGroup(
            globalTimedFlipChar7Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar8.setName("globalTimedFlipChar8"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar8Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar8);
        globalTimedFlipChar8.setLayout(globalTimedFlipChar8Layout);
        globalTimedFlipChar8Layout.setHorizontalGroup(
            globalTimedFlipChar8Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar8Layout.setVerticalGroup(
            globalTimedFlipChar8Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar9.setName("globalTimedFlipChar9"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar9Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar9);
        globalTimedFlipChar9.setLayout(globalTimedFlipChar9Layout);
        globalTimedFlipChar9Layout.setHorizontalGroup(
            globalTimedFlipChar9Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar9Layout.setVerticalGroup(
            globalTimedFlipChar9Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar10.setName("globalTimedFlipChar10"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar10Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar10);
        globalTimedFlipChar10.setLayout(globalTimedFlipChar10Layout);
        globalTimedFlipChar10Layout.setHorizontalGroup(
            globalTimedFlipChar10Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar10Layout.setVerticalGroup(
            globalTimedFlipChar10Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar11.setName("globalTimedFlipChar11"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar11Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar11);
        globalTimedFlipChar11.setLayout(globalTimedFlipChar11Layout);
        globalTimedFlipChar11Layout.setHorizontalGroup(
            globalTimedFlipChar11Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar11Layout.setVerticalGroup(
            globalTimedFlipChar11Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar12.setName("globalTimedFlipChar12"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar12Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar12);
        globalTimedFlipChar12.setLayout(globalTimedFlipChar12Layout);
        globalTimedFlipChar12Layout.setHorizontalGroup(
            globalTimedFlipChar12Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar12Layout.setVerticalGroup(
            globalTimedFlipChar12Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar13.setName("globalTimedFlipChar13"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar13Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar13);
        globalTimedFlipChar13.setLayout(globalTimedFlipChar13Layout);
        globalTimedFlipChar13Layout.setHorizontalGroup(
            globalTimedFlipChar13Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar13Layout.setVerticalGroup(
            globalTimedFlipChar13Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar14.setName("globalTimedFlipChar14"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar14Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar14);
        globalTimedFlipChar14.setLayout(globalTimedFlipChar14Layout);
        globalTimedFlipChar14Layout.setHorizontalGroup(
            globalTimedFlipChar14Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar14Layout.setVerticalGroup(
            globalTimedFlipChar14Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        globalTimedFlipChar15.setName("globalTimedFlipChar15"); // NOI18N

        org.jdesktop.layout.GroupLayout globalTimedFlipChar15Layout = new org.jdesktop.layout.GroupLayout(globalTimedFlipChar15);
        globalTimedFlipChar15.setLayout(globalTimedFlipChar15Layout);
        globalTimedFlipChar15Layout.setHorizontalGroup(
            globalTimedFlipChar15Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 26, Short.MAX_VALUE)
        );
        globalTimedFlipChar15Layout.setVerticalGroup(
            globalTimedFlipChar15Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 35, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(globalTimedFlipChar1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(globalTimedFlipChar15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(globalTimedFlipChar1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(globalTimedFlipChar15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar1;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar10;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar11;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar12;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar13;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar14;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar15;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar2;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar3;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar4;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar5;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar6;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar7;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar8;
    private eventtalkboard.GlobalTimedFlipChar globalTimedFlipChar9;
    // End of variables declaration//GEN-END:variables
}
